<?php
require_once('clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
//$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', 'clases/xajax/');

function xExportar($varForm) {
	$varCod = (isset($varForm["cod"]) && $varForm["cod"]<>'')? $varForm["cod"]:"NULL";
	$varVeh = (isset($varForm["vcod"]) && $varForm["vcod"]<>'')? $varForm["vcod"]:"NULL";
	$varCon = (isset($varForm["ccod"]) && $varForm["ccod"]<>'')? $varForm["ccod"]:"NULL";
	$varIni = (isset($varForm["fini"]) && $varForm["fini"]<>'')? "'".FechaMySql($varForm["fini"])."'":"NULL";
	$varFin = (isset($varForm["ffin"]) && $varForm["ffin"]<>'')? "'".FechaMySql($varForm["ffin"])."'":"NULL";
	
	$sql = "call spQuery_Asignacion($varCod, $varVeh, $varCon, $varIni, $varFin,  NULL, NULL);";
	$_SESSION["expor_sql_1"] =  $sql;
	$_SESSION["expor_sql_2"] = NULL;
	$varTitulo = (isset($varForm["titu"]))?$varForm["titu"]:"Reporte";	
	$objResponse=new xajaxResponse();
    $objResponse->redirect("export.php?page=$varTitulo");
    return $objResponse;
	}

function xBuscar($varFormm, $varField, $varOrder) {
	$var = VarServer("MYSQLI");
	$obj = new clsDevolucionVenta($var[0],$var[1],$var[2],$var[3],$var[4]);	
	$varTabla = $obj->GridDatos($varFormm, $varField, $varOrder);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divDatos", "innerHTML", utf8_encode($varTabla));
	$variable2="ResaltarSeleccionado()";
	$respuestaXajax->script($variable2); 
	return $respuestaXajax;
	}
	
function xFormuRegistroParcial($varIde) {
	$var = VarServer("MYSQLI");
	$obj = new clsDevolucionVenta($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varTabla = $obj->FormuRegistroParcial($varIde);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divForm", "style.display", "none");
	$respuestaXajax->assign("divformDevolver", "innerHTML", utf8_encode($varTabla));
	return $respuestaXajax;
	}

function xFormuRegistroTotal($varIde) {
	$var = VarServer("MYSQLI");
	$obj = new clsDevolucionVenta($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varTabla = $obj->FormuRegistroTotal($varIde);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divForm", "style.display", "none");
	$respuestaXajax->assign("divformDevolver", "innerHTML", utf8_encode($varTabla));
	return $respuestaXajax;
	}
	
function xRegresar() {
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divForm", "style.display", "block");
	$respuestaXajax->assign("divformDevolver", "innerHTML", "");
	return $respuestaXajax;
	}

function xGrabar($varForm) {
	$var = VarServer("MYSQLI");
	$obj = new clsDevolucionVenta($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varIde = $obj->ProcesoGrabar($varForm);
	$respuestaXajax = new xajaxResponse();
	if ($varIde=="OK") {
		$respuestaXajax->assign("divForm", "style.display", "block");
		$respuestaXajax->assign("formDevolver", "innerHTML", "");
		$respuestaXajax->alert("DEVOLCION REALIZADA CORRECTAMENTE");
		return $respuestaXajax;
		}
	else {
		$respuestaXajax->alert("ERROR AL PROCESAR DATOS...!!!!!\n====================================\n".$varIde."\nVERIFIQUE LOS DATOS POR FAVOR");		
		return $respuestaXajax;
		}
	}


$xajax->register(XAJAX_FUNCTION, 'seleccionar_cliente');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_vendedor');

$xajax->register(XAJAX_FUNCTION, 'xBuscar');
$xajax->register(XAJAX_FUNCTION, 'xFormuRegistroParcial');
$xajax->register(XAJAX_FUNCTION, 'xFormuRegistroTotal');
$xajax->register(XAJAX_FUNCTION, 'xRegresar');
$xajax->register(XAJAX_FUNCTION, 'xGrabar');
$xajax->register(XAJAX_FUNCTION, 'xExportar');


$xajax->processRequest();
$xajax->printJavascript("clases/xajax");


?>
<script language="javascript">	
	function xBuscarJS(varField, varOrder) {
		if (xajax.$("ide").value=="") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UN NUMERO DE ASIGNACION");
			xajax.$("ide").focus()
			return (false); 
			}
		else {
			xajax_xBuscar(xajax.getFormValues('form'), varField, varOrder);
			}				
		}	
	
	function xExportarJS() {
		if (xajax.$("ccod").value=="" && xajax.$("vcod").value=="" && xajax.$("fini").value=="" && xajax.$("ffin").value=="") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR AL MENOS UN PARAMETRO DE BUSQUEDA");
			xajax.$("ccod").focus()
			return (false); 
			}
		else {
			xajax_xExportar(xajax.getFormValues('form'));
			}			
		}
		
	function xFormuRegistroParcialJS(varIde, varEmi, varTip, varDoc, varTab) {
		var varTex = "¿ESTA SEGURO QUE DESEA REALIZAR UNA DEVOLUCION PARCIAL DEL DOCUMENTO";
		varTex = varTex + "\nF.Emisión\t: "+varEmi;
		varTex = varTex + "\nTipo Doc\t: "+varTip;
		varTex = varTex + "\nNro. Doc\t: "+varDoc+" ?";
		if(confirm(varTex)) {
			xajax_xFormuRegistroParcial(varIde);
			EliminarFilaTabla(varTab)
			}
		}
		
	function xFormuRegistroTotalJS(varIde, varEmi, varTip, varDoc, varTab) {
		var varTex = "¿ESTA SEGURO QUE DESEA REALIZAR UNA DEVOLUCION TOTAL DEL DOCUMENTO";
		varTex = varTex + "\nF.Emisión\t: "+varEmi;
		varTex = varTex + "\nTipo Doc\t: "+varTip;
		varTex = varTex + "\nNro. Doc\t: "+varDoc+" ?";
		if(confirm(varTex)) {
			xajax_xFormuRegistroTotal(varIde);
			EliminarFilaTabla(varTab)
			}
		}
	
	function xGuardarJS() {
		var varFlagPro = 0;
		var varErrorCab = "==================================================================\n";
		varErrorCab = varErrorCab + "\t\t\tERROR AL REGISTRAR DEVOLUCION...!!!!\n";
		varErrorCab = varErrorCab + "==================================================================\n";
		var varErrorDet = "";
		
		if (xajax.$("opc").value=="PAR") {
			//Para validar documentos seleccionados
			for(i=0; i < document.formDevolver.elements.length; i++) {
				if (document.formDevolver.elements[i].type == "checkbox" && document.formDevolver.elements[i].checked) {
					varFlagPro++;
					var varIde = document.formDevolver.elements[i].value;
					var varPro = varIde + ' - ' + document.getElementById('des['+varIde+']').value + ' - ' + document.getElementById('ume['+varIde+']').value
					var varDev = document.getElementById('dev['+varIde+']').value;
					var varCan = document.getElementById('can['+varIde+']').value;
					varDev = varDev.replace(',','');
					varCan = varCan.replace(',','');
					if (varDev == "") {
						varErrorDet+= "PRODUCTO : " + varPro + ' -> ESPECIFICAR CANTIDAD A DEVOLVER\n';
						}
					if (parseFloat(varDev) > parseFloat(varCan)) {
						varErrorDet+= "PRODUCTO : " + varPro + ' -> CANTIDAD A DEVOLVER NO DEBE SER MAYOR A LA VENDIDA\n';
						}
					}
				}
			if (varFlagPro<=0) {
				varErrorDet+="DEBE SELECCIONAR AL MENOS UN PRODUCTO\n";
				}
			}
		if (xajax.$("mot").value=="Ninguno") { 
			varErrorDet+="DEBE ESPECIFICAR UN MOTIVO DE RECHAZO\n";
			}
		if (varErrorDet!="") {
			alert(varErrorCab + varErrorDet);
			}
		else {
			var varMsj = "¿DESEA GUARDAR LA DEVOLUCION?";
			if (confirm(varMsj)) {
				xajax_xGrabar(xajax.getFormValues('formDevolver'));		
				}
			}
		}
</script>

<?php		
function MyTable($obj, $varTitulo, $Opcion, $Valor) {
	echo "<div id=\"divForm\">";
	echo $obj->FormuBusqueda();
	echo "<div id=\"divDatos\">";	
	echo "</div>";
	echo "</div>";	
	echo "<div id=\"divformDevolver\">";
	echo "</div>";	
	echo "<div id=\"divFormTotal\">";
	echo "</div>";
	} 
?>